## org.biojava.bio.seq
Class FeatureFilter.ContainedByLocation

    java.lang.Object
      |
      +--org.biojava.bio.seq.FeatureFilter.ContainedByLocation

Enclosing class:
  FeatureFilter

public static class FeatureFilter.ContainedByLocation
extends java.lang.Object
implements FeatureFilter

A filter that returns all features contained within a location.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Inner classes inherited from class org.biojava.bio.seq.FeatureFilter
`FeatureFilter.AcceptAllFilter, FeatureFilter.And, FeatureFilter.BySource, FeatureFilter.ByType, FeatureFilter.ContainedByLocation, FeatureFilter.Not, FeatureFilter.Or, FeatureFilter.OverlapsLocation`

Fields inherited from interface org.biojava.bio.seq.FeatureFilter
`all`

Constructor Summary
`FeatureFilter.ContainedByLocation(Location loc)` Creates a filter that returns everything contained within loc.

Method Summary
`boolean` `accept(Feature f)` Returns true if the feature is within this filter's location.
`Location` `getLocation()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FeatureFilter.ContainedByLocation

    public FeatureFilter.ContainedByLocation(Location loc)

  Creates a filter that returns everything contained within loc.
  Parameters:
    `loc` - the location that will contain the accepted features

Method Detail

### getLocation

    public Location getLocation()

### accept

    public boolean accept(Feature f)

  Returns true if the feature is within this filter's location.
  Specified by:
    accept in interface FeatureFilter
  Tags copied from interface: FeatureFilter
  Parameters:
    `f` - the Feature to evaluate
  Returns:
    true if this feature is to be selected in, or false if it is to be ignored